#!/bin/sh

# This is the prepared command.
# Notice that it uses a file-name with a space
CMD="cat with\ space.txt"

# Trying to execute the command directly
# Because of string interpolation this is equivalent to:
# cat with space.txt
echo "\n# direct execution"
${CMD}

# Using eval to execute that command
# The string will be taken as it is so this is equal to:
# cat with\ space.txt
echo "\n# using eval"
eval ${CMD}
